summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorEthan Zonca2015-09-08 11:51:07 -0400
committerEthan Zonca2015-09-08 11:51:07 -0400
commitc0507bb830e46c52f4015ad53d4540c64d9d0dc9 (patch)
treefd2bcd01887577ec37c17564333956f0676f78f4
downloadaur-c0507bb830e46c52f4015ad53d4540c64d9d0dc9.tar.gz
Initial import of archive package
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD45
2 files changed, 58 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..0de9610453a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = dtc-git-patched
+ pkgdesc = Device Tree Compiler with Dynamic Symbols and Fixup Support Patch
+ pkgver = 20130410
+ pkgrel = 1
+ url = http://jdl.com/software/
+ arch = i686
+ arch = x86_64
+ arch = armv7h
+ license = GPL2
+ makedepends = git
+
+pkgname = dtc-git-patched
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..64102e6694b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Ethan Zonca <ethanzonca@ethanzonca.com>
+
+pkgname=dtc-git-patched
+pkgver=20130410
+pkgrel=1
+pkgdesc="Device Tree Compiler with Dynamic Symbols and Fixup Support Patch"
+url="http://jdl.com/software/"
+arch=('i686' 'x86_64' 'armv7h')
+license=('GPL2')
+makedepends=('git')
+
+_gitroot='git://git.kernel.org/pub/scm/utils/dtc/dtc.git'
+_gitname='dtc.git'
+
+build() {
+ msg 'Downloading dynamic symbols fixup patch...'
+ wget https://patchwork.kernel.org/patch/1934471/raw/ -O dynamic-symbols.patch
+ msg 'Connecting to GIT server...'
+
+ if [[ -d ${_gitname} ]]
+ then
+ cd ${_gitname}
+ git reset --hard HEAD
+ git pull -f
+ git clean -f
+ else
+ git clone ${_gitroot} ${_gitname}
+ fi
+
+ msg 'GIT checkout done or server timeout'
+}
+
+package() {
+ cd ${_gitname}
+
+ # Revert to version that patch applies to
+ git reset --hard f8cb5dd94903a5cfa1609695328b8f1d5557367f
+
+ # Apply patch
+ git apply ../dynamic-symbols.patch
+ # patch -Np1 -i ../dynamic-symbols.patch
+
+ make || return 1
+ make INSTALL=$(which install) DESTDIR=${pkgdir} PREFIX=/usr install || return 1
+}